/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"


XL_SEXP *
gb_Neq(XLISP_ENV * env,XL_SEXP * s)
{
XL_SEXP * ret;
	ret = gb_equ(env,s);
	if ( get_type(ret) == XLT_ERROR )
		return ret;
	if ( ret->integer.data == 0 )
		return get_integer(1,0);
	else	return get_integer(0,0);
}